stl_pair.h File Reference

Go to the source code of this file.

## Classes

struct | std::pair< _T1, _T2 >
struct | std::piecewise_construct_t
struct | std::tuple_element< 0, pair< _Tp1, _Tp2 > >
struct | std::tuple_element< 1, pair< _Tp1, _Tp2 > >
struct | std::tuple_size< pair< _Tp1, _Tp2 > >

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_constexpr_utility
#define | _GLIBCXX_DEPRECATED_PAIR_CTOR

## Functions

template<typename _T1, typename _T2>
constexpr pair< typename __decay_and_strip< _T1 >::__type, typename __decay_and_strip< _T2 >::__type > | std::make_pair (_T1 &&__x, _T2 &&__y)

## Variables

template<typename _Tp>
constexpr bool | std::__is_pair
template<typename _Tp, typename _Up>
constexpr bool | std::__is_pair< const pair< _Tp, _Up > >
template<typename _Tp, typename _Up>
constexpr bool | std::__is_pair< pair< _Tp, _Up > >
constexpr piecewise_construct_t | std::piecewise_construct
template<typename _Tp1, typename _Tp2>
constexpr size_t | std::tuple_size_v< const pair< _Tp1, _Tp2 > >
template<typename _Tp1, typename _Tp2>
constexpr size_t | std::tuple_size_v< pair< _Tp1, _Tp2 > >
#define | __cpp_lib_tuples_by_type
template<typename _Tp, typename _Up>
constexpr const _Tp && | std::get (const pair< _Tp, _Up > &&__p) noexcept
template<typename _Tp, typename _Up>
constexpr const _Tp & | std::get (const pair< _Tp, _Up > &__p) noexcept
template<size_t _Int, class _Tp1, class _Tp2>
constexpr const tuple_element< _Int, pair< _Tp1, _Tp2 > >::type && | std::get (const pair< _Tp1, _Tp2 > &&__in) noexcept
template<size_t _Int, class _Tp1, class _Tp2>
constexpr const tuple_element< _Int, pair< _Tp1, _Tp2 > >::type & | std::get (const pair< _Tp1, _Tp2 > &__in) noexcept
template<typename _Tp, typename _Up>
constexpr const _Tp && | std::get (const pair< _Up, _Tp > &&__p) noexcept
template<typename _Tp, typename _Up>
constexpr const _Tp & | std::get (const pair< _Up, _Tp > &__p) noexcept
template<typename _Tp, typename _Up>
constexpr _Tp && | std::get (pair< _Tp, _Up > &&__p) noexcept
template<typename _Tp, typename _Up>
constexpr _Tp & | std::get (pair< _Tp, _Up > &__p) noexcept
template<size_t _Int, class _Tp1, class _Tp2>
constexpr tuple_element< _Int, pair< _Tp1, _Tp2 > >::type && | std::get (pair< _Tp1, _Tp2 > &&__in) noexcept
template<size_t _Int, class _Tp1, class _Tp2>
constexpr tuple_element< _Int, pair< _Tp1, _Tp2 > >::type & | std::get (pair< _Tp1, _Tp2 > &__in) noexcept
template<typename _Tp, typename _Up>
constexpr _Tp && | std::get (pair< _Up, _Tp > &&__p) noexcept
template<typename _Tp, typename _Up>
constexpr _Tp & | std::get (pair< _Up, _Tp > &__p) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file stl_pair.h.

## Macro Definition Documentation

## __cpp_lib_constexpr_utility

#define __cpp_lib_constexpr_utility

Definition at line 66 of file stl_pair.h.

## __cpp_lib_tuples_by_type

#define __cpp_lib_tuples_by_type

std::get overloads for accessing members of std::pair

Definition at line 879 of file stl_pair.h.

## _GLIBCXX_DEPRECATED_PAIR_CTOR

#define _GLIBCXX_DEPRECATED_PAIR_CTOR

Definition at line 459 of file stl_pair.h.